{% extends 'base.html.twig' %}

{% block body %}
    <h3>Classe {{ classe.nom }}</h3>
    <div class="col-lg-6">
        {% include '@SuperAdmin/classe/edit.html.twig' %}
    </div>
    <div class="col-lg-12 table-responsive">
        <h3>Liste des groupes</h3>
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Nom</th>
                <th>Nombre des etudiants</th>
            </tr>
            </thead>
            <tbody>
            {% if groupes is empty %}
                <tr>
                    <td colspan="5">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for classe in groupes %}
                    <tr >
                        <td width="30%" align="center">{{ classe.nom }}</td>
                        <td width="30%" align="center">{{ classe.etudiants|length }}</td>
                    </tr>
                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(groupes) }}
        </nav>
    </div>
    <div class="col-lg-12 table-responsive">
        <h3>Liste des tuteurs</h3>
        <div class="col-lg-12">
            <a class="btn btn-primary fa-pull-right" style="margin-bottom: 10px;" href="{{ path('su_classe_tuteurs_show', { 'id': classe.id })  }}">
                <i class="fa fa-plus-square"></i>  Ajouter un Tuteur
            </a>
        </div>
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Action</th>
                <th>Nom</th>
                <th>Prénom</th>
                <th>Email</th>
            </tr>
            </thead>
            <tbody>
            {% if tuteurs is empty %}
                <tr>
                    <td colspan="5">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for tuteur in tuteurs %}
                    <tr >
                        <td width="10%" align="center">
                            <a class="btn btn-danger" data-toggle="modal" data-target="#deleteTuteur{{ tuteur.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                        </td>
                        <td width="30%" align="center">{{ tuteur.lastName }}</td>
                        <td width="30%" align="center">{{ tuteur.firstName }}</td>
                        <td width="30%" align="center">{{ tuteur.email }}</td>
                    </tr>
                    <div class="modal fade" id="deleteTuteur{{ tuteur.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteTuteur" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    <a  class="btn btn-danger" href="{{ path('su_classe_delete_tuteur', { 'classe': classe.id , "user" : tuteur.id }) }}" >Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(tuteurs) }}
        </nav>
    </div>
    <div class="col-lg-12 table-responsive">
        <h3>Liste des Etudiants</h3>
        <div class="col-lg-12">
            <a class="btn btn-primary fa-pull-right" style="margin-bottom: 10px;" href="{{ path('su_classe_etudinats_show', { 'id': classe.id })  }}">
                <i class="fa fa-plus-square"></i>  Ajouter etudiants
            </a>
        </div>
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Action</th>
                <th>Nom</th>
                <th>Prénom</th>
                <th>Email</th>
            </tr>
            </thead>
            <tbody>
            {% if etudiants is empty %}
                <tr>
                    <td colspan="5">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for etudiant in etudiants %}
                    <tr >
                        <td width="10%" align="center">
                            <a class="btn btn-danger" data-toggle="modal" data-target="#deleteEtudiant{{ etudiant.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                        </td>
                        <td width="30%" align="center">{{ etudiant.lastName }}</td>
                        <td width="30%" align="center">{{ etudiant.firstName }}</td>
                        <td width="30%" align="center">{{ etudiant.email }}</td>
                    </tr>
                    <div class="modal fade" id="deleteEtudiant{{ etudiant.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteEtudiant" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="deleteEtudiant">Etes-vous sûr que vous voulez supprimer?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    <a  class="btn btn-danger" href="{{ path('su_classe_delete_student', { 'classe': classe.id , "user" : etudiant.id }) }}" >Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(etudiants) }}
        </nav>
    </div>
    <ul class="list-unstyled">
        <li>
            <a href="{{ path('su_classe_index') }}">Retourner vers la liste</a>
        </li>
    </ul>

{% endblock %}
